Skip to main content
`Ctrl`+`K`

# DMShellGetContext

Returns the user-provided context associated to the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetContext(DM dm, void *ctx)

Collective

## Input Parameter

- dm - `DMSHELL`

## Output Parameter

- ctx - the context

## See Also

`DM`, `DMSHELL`, `DMCreateMatrix()`, `DMShellSetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages